<?php

$tpl = $cms["config"]["template.mod.php"]["template"];

// Translate
$cms["lang"][$tpl]["ru_RU.UTF-8"] = array(
    "Header"    => "Верхнее",
    "Footer"    => "Нижнее",
    "Side"      => "Боковое",
    "Title"     => "Заголовок",
    "Paragraph" => "Параграф",
    "Blog"      => "Блог",
    "Frontpage" => "Главная",
    "Page"      => "Страница",
    "Post"      => "Запись блога",
);

$cms["lang"][$tpl]["uk_UA.UTF-8"] = array(
    "Header"    => "Верхнє",
    "Footer"    => "Нижнє",
    "Side"      => "Бічнє",
    "Title"     => "Заголовок",
    "Paragraph" => "Параграф",
    "Blog"      => "Блог",
    "Frontpage" => "Головна",
    "Page"      => "Сторінка",
    "Post"      => "Запис блогу",
);

// Эта справка вылезет только для шаблона mini.
// Для копии шаблона она уже не появится.
if ( $tpl === "mini" ) {
    // en_US
    $cms["lang"][$tpl]["en_US.UTF-8"]["help"] = "<p>By changing the \"mini\" template files you will not be able to update the CMS. If you want to update, copy the .cms/mini folder, switch to the template copy and edit the files.</p>";
    // ru_RU
    $cms["lang"][$tpl]["ru_RU.UTF-8"]["help"] = "<p>Изменив файлы шаблона mini вы не сможете обновить CMS. Если хотите обновляться, скопируйте папку .cms/mini, переключитесь на копию шаблона и редактируйте файлы.</p>";
    // uk_UA
    $cms["lang"][$tpl]["uk_UA.UTF-8"]["help"] = "<p>Змінивши файли шаблону mini, ви не зможете оновити CMS. Якщо хочете оновлюватися, скопіюйте папку .cms/mini, перейдіть на копію шаблону та редагуйте файли.</p>";
}

// Areas
$cms["menu_areas"]["header"]   = array( "title" => __( "Header",   $tpl ) );
$cms["menu_areas"]["footer"]   = array( "title" => __( "Footer",   $tpl ) );
$cms["menu_areas"]["side"]     = array( "title" => __( "Side",     $tpl ) );


// Editable theme files
$cms["templates"][$tpl]["files"] = array(
    ".cms/{$tpl}/styles.css",
    ".cms/{$tpl}/html.php",
    ".cms/{$tpl}/page.php",
    ".cms/{$tpl}/post.php",
    ".cms/{$tpl}/blog.php",
    ".cms/{$tpl}/frontpage.php",
    ".cms/{$tpl}/page.teaser.php",
    ".cms/{$tpl}/404.en_US.UTF-8.php",
    ".cms/{$tpl}/404.ru_RU.UTF-8.php",
    ".cms/{$tpl}/404.uk_UA.UTF-8.php",
    ".cms/{$tpl}/instruction.ru_RU.UTF-8.html",
);




$title = __( "Title",     $tpl );
$text  = __( "Paragraph", $tpl );

$cms["templates"][$tpl]["page_templates"]["page"] = "
<h1>{$title}</h1>

<p>{$text}</p>
";

$cms["templates"][$tpl]["page_templates"]["post"] = "
<h1>{$title}</h1>

<!--preview-start-->

<p>{$text}</p>

<p>{$text}</p>

<!--preview-end-->

<p>{$text}</p>

<p>{$text}</p>

<p>{$text}</p>

<p>{$text}</p>
";
